%define unmangled_version 2.3.5
%define release 1


# See https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#_example_spec_file

%define debug_package %{nil}

%define original_name beancount
%define dashed_name beancount

%define mybuildnumber %{?build_number}%{?!build_number:1}

Name:           python-%{dashed_name}
Version:        2.3.5
Release:        %{mybuildnumber}%{?dist}
Summary:        Command-line Double-Entry Accounting

License:        GNU GPLv2 only
Source:         %{url}/archive/v%{version}/%{original_name}-%{version}.tar.gz


BuildRequires:  pyproject-rpm-macros

%global _description %{expand:

      A double-entry accounting system that uses text files as input.

      Beancount defines a simple data format or "language" that lets you define
      financial transaction records in a text file, load them in memory and
      generate and export a variety of reports, such as balance sheets or income
      statements. It also provides a client with an SQL-like query language to
      filter and aggregate financial data, and a web interface which renders
      those reports to HTML. Finally, it provides the scaffolding required to
      automate the conversion of external data into one's input file in
      Beancount syntax.
      

}

%description %_description

%package -n python3-%{dashed_name}
Summary:        %{summary}

%description -n python3-%{dashed_name} %_description

%prep
%autosetup -p1 -n %{original_name}-%{version}

%generate_buildrequires
if test -f tox.ini ; then

%pyproject_buildrequires -t

else

%pyproject_buildrequires

fi


%build
%pyproject_wheel


%install
%pyproject_install

%pyproject_save_files %{original_name}


%check
if test -f tox.ini  ; then

%tox

fi

%files -n python3-%{dashed_name} -f %{pyproject_files}
%doc README*
%{_bindir}/*


%changelog
* Thu Jun 16 2022 Manuel Amador <rudd-o@rudd-o.com> 0.1.0-1
- This release date means nothing.
